Module | Chef::EncryptedDataBagItem::Decryptor
In: | lib/chef/encrypted_data_bag_item.rb

### Decryptor

     For backwards compatibility, Chef implements decryption/deserialization for
     older encrypted data bag item formats in addition to the current version.
     Each decryption/deserialization strategy is implemented as a class in this
     namespace. For convenience the factory method +Decryptor.for()+ can be used
     to create an instance of the appropriate strategy for the given encrypted
     data bag value.

### Methods

for format_version_of

### Classes and Modules

Class Chef::EncryptedDataBagItem::Decryptor::Version0Decryptor
Class Chef::EncryptedDataBagItem::Decryptor::Version1Decryptor

### Public Class methods

for(encrypted_value, key)

Detects the encrypted data bag item format version and instantiates a decryptor object for that version. Call for_decrypted_item on the resulting object to decrypt and deserialize it.

format_version_of(encrypted_value)

[Validate]